Module java.xml.ws
Package javax.xml.ws

## Class EndpointContext

- java.lang.Object
- - javax.xml.ws.EndpointContext

    public abstract class EndpointContext
    extends Object

`EndpointContext` allows multiple endpoints in an application to share any information. For example, servlet application's war may contain multiple endpoints and these endpoints can get addresses of each other by sharing this context. If multiple endpoints share different ports of a WSDL, then the multiple port addresses can be patched when the WSDL is accessed. It also allows all endpoints to share any other runtime information.

This needs to be set by using `Endpoint.setEndpointContext(javax.xml.ws.EndpointContext)` before `Endpoint.publish(java.lang.String)` methods.

Since:
  1.7, JAX-WS 2.2

### Constructor Summary

Constructors
Constructor and Description
`EndpointContext()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Set<Endpoint>` `getEndpoints()` This gives list of endpoints in an application.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EndpointContext

    public EndpointContext()

### Method Detail

#### getEndpoints

    public abstract Set<Endpoint> getEndpoints()

This gives list of endpoints in an application. For e.g in servlet container, a war file may contain multiple endpoints. In case of http, these endpoints are hosted on the same http server.

Returns:
  list of all endpoints in an application